Bug 499056 - No ARM/versatile under architectures when virtualizer=qemu
No ARM/versatile under architectures when virtualizer=qemu
Status: CLOSED NEXTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-04 21:19 EDT by scientes-bugs+redhat-a1fff8cf024e022a6ab3
Modified: 2010-03-16 13:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-30 07:42:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virsh capabilities (2.03 KB, application/xml)
2009-05-09 23:05 EDT, scientes-bugs+redhat-a1fff8cf024e022a6ab3
no flags Details
ls /dev/k* (240 bytes, text/plain)
2009-05-09 23:06 EDT, scientes-bugs+redhat-a1fff8cf024e022a6ab3
no flags Details

  None (edit)
Description scientes-bugs+redhat-a1fff8cf024e022a6ab3 2009-05-04 21:19:59 EDT
Description of problem:
when virt type is qemu there is x86_64, i686, mips, mipsel, sparc, ppc, but no arm even though libvirt and qemu support it.
 
Version-Release number of selected component (if applicable): virt-manager 0.7.0, virtinst 0.400.3


How reproducible:
go through new VM wizard, in step

Steps to Reproduce:
1.go through VM wizard
2.in step 5, under Advanced select Virt Type=qemu
  
Actual results:
Architecture has x86_64, i686, mips, mipsel, sparc, ppc  listed

Expected results:
arm (versatile) listed too 

Additional info:
was present in 0.5 and 0.6
Comment 1 scientes-bugs+redhat-a1fff8cf024e022a6ab3 2009-05-08 15:35:26 EDT
clairify: bug was present in 0.5 and 0.6, the ability to run qemu ARM has neve existed
Comment 2 Cole Robinson 2009-05-09 19:00:12 EDT
Libvirt capabilities reporting for available qemu emulators is pretty limited: we should probably use some sort of path searching.
Comment 3 scientes-bugs+redhat-a1fff8cf024e022a6ab3 2009-05-09 23:05:59 EDT
Created attachment 343244 [details]
virsh capabilities
Comment 4 scientes-bugs+redhat-a1fff8cf024e022a6ab3 2009-05-09 23:06:54 EDT
Created attachment 343245 [details]
ls /dev/k*

yeah your right virsh is poor in its declarations
Comment 5 Daniel Berrange 2009-07-30 07:42:14 EDT
Support for ARM is now included upstream. 

commit d81275974ad0a9c95b6db3db7d5fd6ae9bace2a4
Author: Daniel Veillard <veillard@redhat.com>
Date:   Fri Jul 3 13:15:55 2009 +0000

    Add support for arm emulation if qemu-system-arm is present
    * src/qemu_conf.c: patch from C.J. Adams-Collier adding support
      for arm emulation if qemu-system-arm is present



This will be available in the 0.7.0 release of libvirt

Note You need to log in before you can comment on or make changes to this bug.